Bug 1287569 - pods: race condition on reload of pods where list of pods appear along with "no longer exist" message
pods: race condition on reload of pods where list of pods appear along with "...
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
x86_64 Linux
medium Severity low
: GA
: cfme-future
Assigned To: Federico Simoncelli
Dafna Ron
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 06:21 EST by Dafna Ron
Modified: 2017-07-25 01:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)
logs (454.72 KB, application/x-gzip)
2015-12-02 06:21 EST, Dafna Ron
no flags Details
screen shot (150.54 KB, image/png)
2015-12-02 06:21 EST, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2015-12-02 06:21:27 EST
Created attachment 1101417 [details]
logs

Description of problem:

I deleted pods and because of replicators the pods are re-spowned. 
After killing the pods I logged into the ui and viewed my 5 pods with a "no longer exist" message (see screen shot)

Version-Release number of selected component (if applicable):
cfme-5.5.0.13-1.el7cf.x86_64

How reproducible:
race condition

Steps to Reproduce:
1. create replicators
2. kill all pods
3. log in to ui as the pods are killed 

Actual results:

we see the list of pods along with "no longer exist" message

Expected results:

we should try to filter the message before the new pods are logged

Additional info:screen shot +logs
Comment 1 Dafna Ron 2015-12-02 06:21 EST
Created attachment 1101418 [details]
screen shot
Comment 2 Federico Simoncelli 2015-12-03 10:20:08 EST
(In reply to Dafna Ron from comment #0)
> Expected results:
> 
> we should try to filter the message before the new pods are logged
> 
> Additional info:screen shot +logs

It is not clear what was expected here. The pod you tried to browse no longer exists in the database as it was removed.

An error and the most updated list of pods is displayed.
Comment 3 Dafna Ron 2015-12-03 10:42:50 EST
I did not want to view a specific pod but all pods. 
If I was selecting a specific pod than I would agree with you, however, in this case I was on the main page for pods which means I was not querying a specific pod but all pods. 
If you look at the screenshot I attached you can clearly see that I am on the main pods page and selected "ALL" in filter. the message suggests that there are no pods and yet shows a list of the new pods below it.
Comment 4 Avi Tal 2016-03-08 02:48:31 EST
Fede, Isn't this duplicate to BZ#1300767
Comment 5 Federico Simoncelli 2016-03-08 09:05:27 EST
(In reply to Avi Tal from comment #4)
> Fede, Isn't this duplicate to BZ#1300767

Difference with bug 1300767 is that in that case they removed the provider.

In this case as far as I understood from the description it happened when Dafna deleted the pods on the OpenShift side.
Comment 7 Federico Simoncelli 2016-08-02 05:10:57 EDT
Dafna, I've never seen this happening. Did it happen to you guys again?
Should we close this for the time being?
Comment 8 Dafna Ron 2016-08-02 05:32:39 EDT
it may happen when the cfme and the provider are in different locations which causes a few milliseconds delay in db sync between openshift and cfme. 
I think this bug would probably be more apparent on scale testing. 
we can try to reproduce if you like for latest.
Comment 9 Federico Simoncelli 2016-08-02 06:06:29 EDT
(In reply to Dafna Ron from comment #8)
> it may happen when the cfme and the provider are in different locations
> which causes a few milliseconds delay in db sync between openshift and cfme. 
> I think this bug would probably be more apparent on scale testing. 
> we can try to reproduce if you like for latest.

If you're going to reproduce this please have Beni assisting you during the procedure so he understand exactly what you do and what may be happening.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.